## kf6-polkit-qt-1 0.200.0

=== debian/changelog ===
kf6-polkit-qt-1 (0.200.0-0zneon+24.04+noble+release+build6) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 02:27:22 +0000

kf6-polkit-qt-1 (0.200.0-0neon) noble; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Wed, 21 Feb 2024 14:04:56 +0000

kf6-polkit-qt-1 (0.175.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-polkit-qt-1 (0.114.0-2) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.11
    - bump Qt to 5.5.0
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Bump Standards-Version to 4.6.0, no changes required.
  * Small update of copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Aug 2021 08:19:35 +0200

## kf6-polkit-qt-1 0.200.0+p24.04+vstable+git20250909.0102

=== examples/CMakeLists.txt ===

install(FILES org.qt.policykit.examples.policy DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/polkit-1/actions/)

add_executable(${POLKITQT-1_EXAMPLE})

target_sources(${POLKITQT-1_EXAMPLE} PRIVATE
    main.cpp
    PkExample.cpp

    icons/icons.qrc
)

target_link_libraries(${POLKITQT-1_EXAMPLE}
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::DBus
    Qt${QT_MAJOR_VERSION}::Widgets
    ${POLKITQT-1_GUI_PCNAME}
    ${POLKITQT-1_CORE_PCNAME}
)

#--------Helper Application

# This macro is defined in FindPolkitQt.cmake
macro(dbus_add_activation_system_service _sources)
    foreach (_i ${_sources})
        get_filename_component(_service_file ${_i} ABSOLUTE)
        string(REGEX REPLACE "\\.service.*$" ".service" _output_file ${_i})
        set(_target ${CMAKE_CURRENT_BINARY_DIR}/${_output_file})
        configure_file(${_service_file} ${_target})
        install(FILES ${_target} DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/dbus-1/system-services )
        #install(FILES ${_target} DESTINATION ${_install_dir})
    endforeach (_i ${ARGN})
endmacro(dbus_add_activation_system_service _sources)

add_executable(${POLKITQT-1_EXAMPLE_HELPER})

qt_add_dbus_adaptor(polkit_example_helper_dbus_SRCS
    org.qt.policykit.examples.xml
    PkExampleHelper.h
    PkExampleHelper
)

target_sources(${POLKITQT-1_EXAMPLE_HELPER} PRIVATE
    PkExampleHelper.cpp
    mainHelper.cpp
    ${polkit_example_helper_dbus_SRCS}
)

# see our helper is pretty small :D
target_link_libraries(${POLKITQT-1_EXAMPLE_HELPER}
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Xml
    Qt${QT_MAJOR_VERSION}::DBus
    ${POLKITQT-1_GUI_PCNAME}
)

install(TARGETS ${POLKITQT-1_EXAMPLE_HELPER} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})

dbus_add_activation_system_service(org.qt.policykit.examples.service.in)

install(FILES org.qt.policykit.examples.conf DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/dbus-1/system.d)

add_subdirectory(agent)

=== debian/changelog ===
kf6-polkit-qt-1 (0.200.0+p24.04+vstable+git20250909.0102-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 01:02:02 +0000

=== debian/control ===
Source: kf6-polkit-qt-1
Section: libs
Priority: optional
Uploaders: Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libglib2.0-dev,
               libpolkit-agent-1-dev (>= 0.98),
               libpolkit-gobject-1-dev (>= 0.98),
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/polkit-qt-1
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-polkit-qt-1.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-polkit-qt-1
Maintainer: Neon CI <neon@kde.org>

Package: libpolkit-qt6-1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpolkit-qt6-1-1 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Description: PolicyKit-qt6-1 development files
 PolicyKit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 .
 It is a framework for centralizing the decision making process with respect to
 granting access to privileged operations (like calling the HAL Mount() method)
 for unprivileged (desktop) applications.
 .
 libpolkit-qt6-1 provides convenience classes and methods for Qt/KDE
 applications that want to use PolicyKit-1.
 .
 This package contains the development libraries and headers.

Package: libpolkit-qt6-1-1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: default-logind [linux-any] | logind [linux-any],
         ${misc:Depends},
         ${shlibs:Depends}
Description: PolicyKit-qt6-1 library
 PolicyKit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 .
 It is a framework for centralizing the decision making process with respect to
 granting access to privileged operations (like calling the HAL Mount() method)
 for unprivileged (desktop) applications.
 .
 libpolkit-qt6-1 provides convenience classes and methods for Qt/KDE
 applications that want to use PolicyKit.
 .
 This package contains the files necessary for running applications that use
 the libpolkit-qt6-1 library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_test:
	# Skip dh_auto_test

## kf6-polkit-qt-1 0.200.0+p24.04+vunstable+git20250504.1000

=== debian/changelog ===
kf6-polkit-qt-1 (0.200.0+p24.04+vunstable+git20250504.1000-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 May 2025 10:00:27 +0000

## kf6-polkit-qt-1 0.200.0+p24.04+vunstable+git20250909.0053

=== debian/changelog ===
kf6-polkit-qt-1 (0.200.0+p24.04+vunstable+git20250909.0053-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 00:53:59 +0000
